<?php
//01-luglio-2005 Modifica par rendere guestbook per il CMS vigile version 1.6
//23-01-2005 modifiche per CMS Vigile 1.7

$thisDir="mercatinoLibri";
//security
if (eregi("$thisDir/",$_SERVER['PHP_SELF'])) {Header("Location: ../../index.php"); exit();}

// file dati di configurazione dei moduli news 
$locatLibri=DATABASE."/$thisDir";
if (!is_dir($locatLibri)) mkdir($locatLibri, 0755); 
$db_config_guest=$locatLibri."/config.php";

// includo la configurazione desiderata per tutti i moduli news.
@include($db_config_guest);
//per alcune mancanze di configurazione provvedo personalmente
if(!isset($display_book)) $display_book=3;   // numero di annunci per pagina.
//alcune immagini ripetute
$img_err="<img src=\"$myroot/".IMG_BUTT."/errore.gif\" alt=\"Icona di errore\" />";

//controlli su poteri scrittura e limitazioni di $powerAnonimi $PowerRegistrti
$controlCaptcha="
<p>Inserisci il codice sottostante:<br />
<input type=\"text\" name=\"pwControl\" /></p>
<p><img src=\"$myroot/page/captcha.php?id=$id\" style=\"border:2px solid #00f;\" title=\"[protezione SPAM] Immagine di un codice numerico, da inserire nel campo sovrastante\" alt=\"[protezione SPAM] \" /></p>
";
if(is_utente()) if(!$PowerRegistrti) $controlCaptcha="";
if(!is_utente()){
    if(!$powerAnonimi) $obbligoReg= "<h6 class=\"center\">$img_err Per inserire un annuncio devi <a href=\"$myroot/index.php?pag=newuser&amp;id=add_user\">Registrarti</a></h6>";
    if($powerAnonimi==1) $controlCaptcha="";
}


?>
<script type="text/javascript">

function check(stat){
	var len = document.forms[0].elements.length;
	for( var i=0; i < len; i++ ){
		chbox = document.forms[0].elements[i];
		if(chbox.type == "checkbox")
			chbox.checked = stat;
	}
}
function setSmile(str){
		obj = document.moduloGB.message;
		obj.focus();
		obj.value =	obj.value + str;
}

</script>
<?

$database=$locatLibri."/libri.dat"; // location database

DovePagNav(); //parser del nome della pagina nav
// non parserizzo l'Url
if($UnParser){
    $dove="$myroot/index.php{$QPoint}nav=$_GET[nav]";
    $array_GET[page]=$_GET[page];
    if (isset($_GET[page])) $page=$_GET[page];
}
// parserizzo l'Url
else {
    $dove="$myroot/index.php/nav=$_GET[nav]"; // url - location questo file 
    if (isset($array_GET[page])) $page=$array_GET[page];
}

switch($array_GET[page]){
	
	
	case "insert":
        // voglio visualizzare il modulo dove inserire i dati del guestbook
    	//_____________________________modulo inserimento nuova firma___________________________________
	
	    if(isset($obbligoReg)) {echo $obbligoReg; return;}
      if(isset($_POST[email])) {

        $apro = opendir(IMG_SMYLE);     // apro la cartella delle smyles.
        while (false !== ($sub = readdir($apro))) {
            if($sub=="." or $sub==".." or $sub=="Thumbs.db" or $sub=="readme.info") continue;
            $sub2="[".$sub."]";
            $_POST['message'] = str_replace("$sub2","<img src='$myroot/".IMG_SMYLE."/$sub'>",$_POST['message']); 
        } // fine while
        closedir($apro);

        if(is_utente())$id=$_SESSION[user]; else $id=$_SESSION[ip];
        ////////-------verifiche che effettuo:  su l'Email già inserita o su nome utente o IP già utilizzati--------------------/////////
        $fptr=fopen($database,"r"); 
        $content=@fread($fptr, filesize($database)); 
        fclose($fptr); 

        if ($_POST[name]=="" or $_POST[titolo]=="" or $_POST[autore]=="" or $_POST[message]==""){
            $error="<h3 class=\"center\">$img_err Attenzione hai lasciato qualche campo vuoto<br />Ricorda che i campi [Nome], [Autore e Titolo] e  [Annuncio] Sono obbligatori</h3>";
            echo $error;
        } 
/*		elseif(strstr($content,$_POST['email']) or strstr($content,$id))  {
            error("<div class=\"center\">$img_err Attenzione Hai già firmato precedentemente il mio guestbook</div><br />");
        ////////-------fine verifica se con l'Email inserita è  stato già lasciato un annuncio----------///////
        } else if($controlCaptcha and ($_POST['pwControl']=="" or !audit()) ) {
            if($_POST['pwControl']=="") $error="<h3 class=\"center\">$img_err Attenzione Non hai inserito il codice numerico di controllo!<br />Riprova<h3>";
            if(!audit()) $error="<h3 class=\"center\">$img_err Attenzione il codice numerico immesso è errato!<br />Riprova</h3>";
            echo $error;
        } 
*/		else {
            error("<div class=\"center\"><strong>Grazie per aver inserito un nuovo annuncio!!<br />Sono stati aggiunti i seguenti dati:</strong>");
            echo "<p class=\"center\">".(htmlspecialchars($_POST['name']))."<br />".(htmlspecialchars($_POST['telefono']))."<br />".$_POST['email']."<br />".(htmlspecialchars($_POST['titolo']))."<br />".(htmlspecialchars($_POST['autore']))."<br />".(nl2br(stripslashes($_POST['message'])))."<br />".$_POST['place']."</p>";
            echo "<a href=\"$dove{$EComm}page=1\">Visiona gli annunci</a></div><br />";
            /////////////////////////////

            $fp = fopen($database,'a');
            if(!$fp) { echo "$img_err Attenzione Errore di apertura file!"; exit;}
            $line = date("j/n/Y")."#" . ucfirst($_POST['name']);
            $line .= "#" . ucfirst($_POST['telefono']);
            $line .= "#" . $_POST['email'];
            $line .= "#" . ucfirst($_POST['titolo']);
            $line .= "#" . ucfirst($_POST['autore']);
            $line .= "#" . ucfirst(stripslashes($_POST['message']));
            $line .= "#" . ucfirst($_POST['place']);
            $line .= "#" . ucfirst($id);            
            $line = str_replace("\r\n","<br />",$line);
            $line .= "\r\n";
            fwrite($fp, $line);
            fclose($fp);

            logthis ("$_POST[name] ha inserito un annuncio");
            ///////manda un'email al superamministratore per avvisarlo dell'post nel guest da parte di un utente////////////////////////////////
            if ($avv_gues=="1") {
                $time = date("d/m/y H:i");
                @mail("$email_amministra", "Scrittura in Libri Info", sendMailAdmin()."\n\nl'utente: $_POST[name], ha inserito un annucio \n\n con il seguente contenuto: \n\n $_POST[titolo] \n\n $_POST[autore] \n\n $_POST[message]  \n\n ALLA PROSSIMA...by CMSV");
            }
        }//fine di else
    } 
    if(!isset($_POST['email']) or (isset($_POST['email']) and isset($error))){

      if($_SESSION[user]) $nnome=$_SESSION[user]; else $nnome=$_POST[name];
      echo "
    	<form action=\"$dove{$EComm}page=insert\" method=\"post\" name=\"moduloGB\">
    	<table style=\"width:440px; text-align:center; height:250px;\">
	      <tr>
        <td width=\"50%\">
  	    <p><strong>* Nome e Cognome:</strong><br /><input type=\"text\" value=\"$nnome\" name=\"name\" /></p>
  	    <p><strong> Telefono:</strong><br /><input type=\"text\" value=\"$ntelefono\" name=\"telefono\" /></p>
      	<p><strong>* E-mail o Sito:</strong><br /><input type=\"text\" name=\"email\" value=\"$_POST[email]\" /></p>    	
  	    <p><strong> Citt…:</strong><br /><input type=\"text\" name=\"place\" value=\"$_POST[place]\" /></p>
      	$controlCaptcha    	
        </td>
  	    <td width=\"50%\" valign=\"top\">
      	<br /><br />
  	    <img src=\"$myroot/moduli/$thisDir/libri.png\" alt=\"logo Mercatino dell'usato\" /><br />
      ";

  		if($emoticon_book) {
  		    echo"<strong>All'annuncio puoi aggiungere<br /> le seguenti Smileys:</strong><br /><br />";
  		    smyles(); // visualizza le smyle con il javascript per inserirle nella textarea
  		}

    	echo "
	     </td>
      </tr>
	  <tr>
        <td >
		<br />    
  	    <p><strong>* Titolo del libro:</strong><br /><input type=\"text\" value=\"$_POST[titolo]\" name=\"titolo\" /></p>
      	<p><strong>* Autore:</strong><br /><input type=\"text\" name=\"autore\" value=\"$_POST[autore]\" /></p>	
        </td>
	  </tr>
      <tr>
    	 <td colspan=\"2\">
	     <p><br /><strong>* Annuncio:</strong></p>
    	 <p><textarea cols=\"50\" rows=\"8\" name=\"message\">".ucfirst(stripslashes($_POST['message']))."</textarea><br /></p>
	     <p><input type=\"submit\" value=\"aggiungi\"  class=\"button\" />
    	 <input type=\"reset\" name=\"reset\"  class=\"button\" />
	     <a href=\"$dove{$EComm}page=1\">Visualizza gli annunci</a></p>

    	
	    </td></tr></table></form>";
	}
	break;
	//____________________________________________________________________________________________________________
	
	case "delete":
       if(!is_admin() and !is_utente()) return false;
	    echo"<h6 class=\"center\">Conferma la cancellazione dell'annuncio $_GET[id]!
	    <form method=\"post\" action=\"$dove{$EComm}page=okdelete\" name=\"moduloGB\">
	    <input type=\"hidden\" name=\"id\" value=\"$_GET[id]\" />
	    <input type=\"submit\" value=\"Ok!\" />
	    <input type=\"button\" value=\"Annulla\" onclick=\"location='$dove{$EComm}page=1'\" />
	    </form></h6>

	    ";
	break;

	case "okdelete":
       if(!is_admin() and !is_utente()) return false;
	    echo"<h2 class=\"center\">Cancellazione effettuata!</h2>";
	    canc_mod_riga ($database,$_POST[id]);
        refresh($dove);
	break;
	
	case "admin":
        if (isset($_POST[sub])){  // salvataggio modifiche
            $mod_config=fopen($db_config_guest,"w");
            fwrite($mod_config,"<?php \r\n\r\n".
            "\t\$display_book  = $_POST[rad_1]; \r\n".
            "\t\$emoticon_book = $_POST[rad_2]; \r\n".
            "\t\$powerAnonimi  = $_POST[rad_3]; \r\n".
            "\t\$PowerRegistrti= $_POST[rad_4]; \r\n".
            "\t\$id  =           $_POST[rad_5]; \r\n".
            "\r\n?>");
            fclose($mod_config);
            echo"<h4 class=\"center\">Configurazione Modificata.</h4>";
            // includo la nuova configurazone.
            include($db_config_guest);
        }else echo"<h4 style=\"text-align:center;\">Configurazione</h4>";

            $sel="checked=\"checked\"";
            if ($emoticon_book) $check1= $sel; else $check2= $sel;
            if (!$powerAnonimi) $check3= $sel; elseif ($powerAnonimi==1) $check4= $sel; elseif ($powerAnonimi==2) $check5= $sel;
            if (!$PowerRegistrti) $check6= $sel; elseif ($PowerRegistrti==1) $check7= $sel;
            if ($id==1) $check8= $sel; else $check9= $sel;

            echo"<form method=\"post\" name=\"config\" action=\"$dove{$EComm}page=admin\">
            <fieldset><legend>Numero di Annunci per Pagina.</legend>
            <p>cambia: <select name=\"rad_1\">\r\n";
            $dayy=array(1,2,3,4,5,7,10,15,30);// aggiungi altri valori se intendi ampliare la scelta del numero di di giorni nei quali il link nuovo viene affiancato da una immagine new
            foreach($dayy as $uno) {
                if($display_book==$uno) echo"<option value=\"$uno\" selected=\"selected\">$uno</option>"; 
                else echo"<option value=\"$uno\">$uno</option>"; }
            echo"            \r\n</select></p>
            </fieldset>
            <fieldset><legend>Permetti inserimento Emoticons?</legend>
            <p><input type=\"radio\" name=\"rad_2\" value=\"1\" $check1 />SI</p>
            <p><input type=\"radio\" name=\"rad_2\" value=\"0\" $check2 />NO</p>
            </fieldset>
            <fieldset><legend>Permessi annuncio Anonimi?</legend>
            <p><strong>Gli utenti NON registrati:</strong></p>
            <p><input type=\"radio\" name=\"rad_3\" value=\"0\" $check3 />Non possono aggiungere annunci</p>
            <p><input type=\"radio\" name=\"rad_3\" value=\"1\" $check4 />Possono aggiungere annunci Liberamente</p>
            <p><input type=\"radio\" name=\"rad_3\" value=\"2\" $check5 />Aggiungono annunci con controllo (Captcha)</p>
            <p><br />Attenzione l'uso della captcha rende, <strong>NON Accessibile</strong>, l'utilizzo del modulo Mercatino dell'usato</p>
            </fieldset>
            <fieldset><legend>Permessi firma Registrati?</legend>
            <p><strong>Gli utenti Registrati:</strong></p> 
            <p><input type=\"radio\" name=\"rad_4\" value=\"0\" $check6 />Possono aggiungere annunci Liberamente</p>
            <p><input type=\"radio\" name=\"rad_4\" value=\"1\" $check7 />Possono aggiungere annunci con controllo (Captcha)</p>
            <p><br />Attenzione l'uso della captcha rende, <strong>NON Accessibile</strong>, l'utilizzo del modulo Mercatino dell'usato</p>
            </fieldset>
            <fieldset><legend>Tipo di (Captcha)?</legend>
            <p><input type=\"radio\" name=\"rad_5\" value=\"1\" $check8 />Immagine piccola con codice solo numeri</p>
            <p><input type=\"radio\" name=\"rad_5\" value=\"2\" $check9 />Immagine articolata con codice alfanumerico</p>
            <p><br />Attenzione l'uso della captcha rende, <strong>NON Accessibile</strong>, l'utilizzo del modulo Mercatino dell'usato</p>
            </fieldset>
            <fieldset><legend>Modifica i parametri di configurazione</legend>
            <p><input type=\"submit\" class=\"buttonfree\"  name=\"sub\" value=\"Modifica\" />
            <a href=\"$dove{$EComm}page=1\">Visualizza gli annunci</a></p>
            </fieldset>
            </form>";
	break;

	
	default:
	
	if(!file_exists($database)) fopen($database,"w"); // se non c'è il database lo creo
	
    // legge in un array il file guest.dat
    $myArray = file($database);
    $s=count($myArray);

    //    inverte i valori dell'array da ultimo a primo
    $myArray = array_reverse($myArray);

    $pagine_tot=ceil($s / $display_book);
    if($array_GET[page]>$pagine_tot) $array_GET[page]=1;

    // decido l'intervallo delle discussioni da visualizzare in base al valore di discussioni x pag ($disc_x_pag)
    if(!isset($array_GET[page])){
      $pagg=$page=1; // se non c'è $_GET allora siamo alla prima pagina      $page=1;
      $min=0;
      $max=$display_book-1;
      $array_GET[page]=1;
    }else{
      $pagg=$array_GET[page];
      $min=$display_book*($pagg-1);
      $max=$min+$display_book-1;
    }
    if ($page > 1) {
        $new_page=$page-1;
        $prev="<a href=\"$dove{$EComm}page=$new_page\" class=\"guest\" title=\"Vai alla pagina precedente\"><img src=\"$myroot/".IMG_BUTT."/indietro.gif\" alt=\"Clicca per andare alla pagina precedente \" /></a>";
    } else {
        $prev="";
    }
    if ($page < $pagine_tot) {
        $new_page1=$page+1;
        $next="<a href=\"$dove{$EComm}page=$new_page1\" class=\"guest\" title=\"Vai alla pagina succesiva\"><img src=\"$myroot/".IMG_BUTT."/avanti.gif\" alt=\"Clicca per andare alla pagina successiva\" /></a>";
    } else {
        $next="";
    }
        if(is_admin()) {
            $butt_adminconfig="	<a href=\"$dove{$EComm}page=admin\" title=\"Amministra i parametri del modulo Mercatino dell'usato\">$ImgAdmin Configura</a>";
        }

    $contiene=$s;
    
    $navi_guest="
    <table class=\"tab_topic\" style=\"width:90%; margin:auto; margin-bottom:10px;\"><tr>
      <td style=\"width:40%; height:16;\" class=\"naviga\">".$prev."</td>
      <td style=\"align:center; width=20%;\" class=\"naviga\">pag.".$pagg."/".$pagine_tot."</td>
      <td style=\"align:right; width:40%; height:16;\" class=\"naviga\">".$next."</td>
    </tr></table>";
//  echo $_SESSION[user];  
    echo"
		<form method=\"post\"  action=\"$dove{$EComm}page=1\">
        <fieldset><legend>Cerca un annuncio</legend>
        <p><strong>Inserisci la chiave di ricerca:</strong><br /><input type=\"text\" value=\"$chiave\" name=\"chiave\" /></p><p><input type=\"submit\" class=\"buttonfree\"  name=\"sub\" value=\"Cerca\" />
        <a href=\"$dove{$EComm}page=1\">Visualizza gli annunci</a></p>
        </fieldset>
        </form>
    <p class=\"center\">$butt_adminconfig <strong>Il modulo contiene $contiene annunci  &nbsp;&nbsp;&nbsp;</strong></p>
    <div class=\"txt\" style=\"margin:auto;\">
    $navi_guest";

    echo"<br />";
    if($s==-1){echo"<br /><div class=\"center\"> IL MODULO E' ANCORA VUOTO! INSERISCI UN NUOVO ANNUNCIO!</div><br />"; }
    // stampo i dati attraversando l'array per tre volte
    
    $idd=($s-1);
    if($page>1) $idd=($s-($display_book-1)*$page);

    for($i = $min; $i <= $max; $i++){
        
        if(trim($myArray[$i])=="") break; // impedisce visualizzazioni firme vuote
        $new=explode("#",trim($myArray[$i]));
        
//        if(is_admin()) {
            $butt_admin="<a href=\"$dove{$EComm}page=delete{$Q_Point}id=$idd\" class=\"piccolo\" title=\"Cancella questo annuncio dal modulo\">Cancella</a>";
//        }

		$parola=$_POST['chiave'];
		if($parola=="") $parola="#";
		if (stristr($myArray[$i], $parola)) 
		{   
        // NEW filtro parolaccie 8-5-05
        $new[3]=filtro_parole($new[3]); // funzione proprietaria residente nel file func.inc.php
        $new[4]=filtro_parole($new[4]);
        $new[5]=filtro_parole($new[5]);
        $new[1]=filtro_parole($new[1]);
        $new[2]=filtro_parole($new[2]);
		$new[6]=filtro_parole($new[6]);
        $new[7]=filtro_parole($new[7]);
		if ($new[8]==$_SESSION[user] or is_admin()) echo "<p>".$butt_admin."</p>";
        echo"
        <div class=\"tab_topic\" style=\"width:90%; margin:auto; margin-bottom:10px;\">
        <div class=\"riga1_topic\"><span style=\"float:right;\"><strong>Telefono:</strong>&nbsp;$new[2]</span><strong>Nome:</strong>&nbsp;$new[1]&nbsp;&nbsp;</div>
        <div class=\"riga3_topic\">Titolo: $new[4]</div>
        <div class=\"riga3_topic\">Autore: $new[5]</div>
        <div class=\"riga3_topic\">Annuncio: $new[6]</div>
		<div class=\"riga3_topic\">Città: $new[7]</div>
<!--        <div class=\"riga2_topic\"><span style=\"float:right;\"><strong>Del:</strong>&nbsp;$new[0]</span><strong>E-mail/sito:</strong>&nbsp;$new[3]&nbsp;&nbsp;</div> -->
        <div class=\"riga2_topic\"><span style=\"float:right;\"><strong>Del:</strong>&nbsp;$new[0]</span><strong><a href=\"$myroot/index.php?pag=vedipm&amp;action=new&amp;user=$new[1]\" >Contatta:</a></strong></div>
        </div>
        ";
		}
        $idd--;
    }

    echo "$navi_guest";
	if(is_admin() or is_utente()) echo"
    <p class=\"center\">
	   <a href=\"$dove{$EComm}page=insert\">Inserisci annuncio</a>
    $butt_adminconfig </p>";
	else echo "<p class=\"center\">$img_err Per inserire un annuncio devi <a href=\"$myroot/index.php?pag=newuser&amp;id=add_user\">Registrarti</a></p>";
//	echo  $myArray[0];
	echo"</div>";
//	echo $s;
}// fine switch

?>
